Bug 255112 - devel/py-factory-boy: Change Django 3.0 in TEST_DEPENDS to Django 3.2
Summary: devel/py-factory-boy: Change Django 3.0 in TEST_DEPENDS to Django 3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://www.djangoproject.com/download/
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-16 10:18 UTC by Kai Knoblich
Modified: 2021-04-18 08:41 UTC (History)
1 user (show)

See Also:
meka: maintainer-feedback+


Attachments
py-factory-boy-switch-to-django32.patch (798 bytes, patch)
2021-04-16 10:18 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2021-04-16 10:18:00 UTC
Created attachment 224154 [details]
py-factory-boy-switch-to-django32.patch

Hi,

the extended support for Django 3.0 has expired on 6th April (see the link in the URL field for more details).

The attached patch changes the TEST_DEPENDS so that Django 3.2 (LTS release, extended support until April 2024) is used for the test suite.

QA:
~~~
- poudriere -> OK (11.4-RELEASE amd64 for py36, py37, py38 and py39)

Results of "make test" (py37, py38, py39):

> Ran 385 tests in 0.692s
> 
> OK (skipped=1)

The test suite for Python 3.6 was skipped because the CLI option "-k" is only available for Python 3.7+ .
Comment 1 Kai Knoblich freebsd_committer 2021-04-18 08:28:19 UTC
Comment on attachment 224154 [details]
py-factory-boy-switch-to-django32.patch

^ Triage: Set maintainer-approval flag to '+'. Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]
Comment 2 commit-hook freebsd_committer 2021-04-18 08:31:06 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f5ea0ae2e6d53ce24527b96decff7cc6bc2f2ea6

commit f5ea0ae2e6d53ce24527b96decff7cc6bc2f2ea6
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-18 07:11:09 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-18 08:28:33 +0000

    devel/py-factory-boy: Switch test suite to Django 3.2

    * Adjust TEST_DEPENDS to use Django 3.2 (LTS release) because the
      extended support for Django 3.0 has expired on 6th April 2021.

    PR:             255112
    Approved by:    Goran MekiÄ <meka@tilda.center> (maintainer)

 devel/py-factory-boy/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 3 Kai Knoblich freebsd_committer 2021-04-18 08:41:20 UTC
Committed, thank you for your quick review!